Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.withconvexity.com/v1/wallet/hd/address-index/{index} \ --header 'Authorization: Bearer <token>'
{ "status": true, "message": "Wallet fetched successfully", "data": { "id": "9f1c2b3a-4d5e-6f70-8a9b-0c1d2e3f4a5b", "businessName": "Acme Liquidity Ltd", "address": "0x3A1cF4e2B8D9a7C6e5F4b3A2c1D0e9F8a7B6c5D4", "chainType": "EVM", "purpose": "general", "derivationPath": "m/44'/60'/0'/0/0", "addressIndex": 0, "isActive": true, "createdAt": "2026-06-17T10:15:30.000Z", "deactivatedAt": null, "metadata": null } }
Fetches a wallet by its HD addressIndex. Requires wallet.hd.read.
addressIndex
wallet.hd.read
OAuth 2.0 access token from Auth-Edge.
Non-negative address index.
Chain to resolve the index on.
EVM
SOLANA
OK
The response is of type object.
object